package cz.frantovo.nekurak.chat;

/**
 * Diskusní (chatovací) místnost, do které robot vstupuje.
 * @author fiki
 */
public class Mistnost {

    /** Část před zavináčem */
    private String nazev;
    /** Část za zavináčem */
    private String domena;
    /** Robotova přezdívka v této místnosti */
    private String prezdivka;
    /** Co robot napíše po vstupu do místnosti */
    private String uvitaciZprava;
    /** Co robot napíše před opuštěním místnosti */
    private String louciciZprava;
    /** Délka fronty zpráv – historie */
    private int delkaFronty = 10;

    public String getNazev() {
	return nazev;
    }

    public void setNazev(String nazev) {
	this.nazev = nazev;
    }

    public String getDomena() {
	return domena;
    }

    /**
     * Celý název místnosti.
     * Např. lobby@konference.frantovo.cz
     */
    public String getMuc() {
	return nazev + "@" + domena;
    }

    public void setDomena(String domena) {
	this.domena = domena;
    }

    public String getUvitaciZprava() {
	return uvitaciZprava;
    }

    public void setUvitaciZprava(String uvitaciZprava) {
	this.uvitaciZprava = uvitaciZprava;
    }

    public String getPrezdivka() {
	return prezdivka;
    }

    public void setPrezdivka(String prezdivka) {
	this.prezdivka = prezdivka;
    }

    public String getLouciciZprava() {
	return louciciZprava;
    }

    public void setLouciciZprava(String louciciZprava) {
	this.louciciZprava = louciciZprava;
    }

    public int getDelkaFronty() {
	return delkaFronty;
    }

    public void setDelkaFronty(int delkaFronty) {
	this.delkaFronty = delkaFronty;
    }
}
