package cz.frantovo.nekurak.web;

import cz.frantovo.nekurak.dto.Kategorie;
import cz.frantovo.nekurak.dto.Podnik;
import java.util.Collection;

/**
 *
 * @author fiki
 */
public class Uvod {

	private HledacSluzby hledac = new HledacSluzby();
	Integer kategorie = null;

	public void setKategorie(Integer kategorie) {
		this.kategorie = kategorie;
	}

	public Integer getKategorie() {
		return kategorie;
	}

	public Collection<Podnik> getPodniky() {
		if (kategorie == null) {
			return hledac.getPodnikEJB().getPodniky();
		} else {
			return hledac.getPodnikEJB().getPodniky(new Kategorie(kategorie));
		}
	}
}
